
From: Anton Blanchard <anton@samba.org>

We were allocating 48 segment tables on UP kernels.  Remove them and save
192kB of kernel memory on UP builds.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/head.S |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/kernel/head.S~ppc64-limit-segment-tables-on-up-kernels arch/ppc64/kernel/head.S
--- 25/arch/ppc64/kernel/head.S~ppc64-limit-segment-tables-on-up-kernels	2005-01-22 19:05:02.407309984 -0800
+++ 25-akpm/arch/ppc64/kernel/head.S	2005-01-22 19:05:02.413309072 -0800
@@ -2145,10 +2145,12 @@ swapper_pg_dir:
 ioremap_dir:
 	.space	4096
 
+#ifdef CONFIG_SMP
 /* 1 page segment table per cpu (max 48, cpu0 allocated at STAB0_PHYS_ADDR) */
 	.globl	stab_array
 stab_array:
 	.space	4096 * 48
+#endif
 	
 /*
  * This space gets a copy of optional info passed to us by the bootstrap
_
